#!/bin/bash

. "${CI_PROJECT_DIR}/.gitlab-ci/test.sh"

curl -sL -o /etc/apt/trusted.gpg.d/morph027-gitea.asc https://packaging.gitlab.io/gitea/gpg.key
echo "deb [arch=amd64] https://packaging.gitlab.io/gitea gitea main" > /etc/apt/sources.list.d/morph027-gitea.list
apt-get update
apt-get -y install gitea
tar -C / -xzf "/${CI_PROJECT_DIR}/.gitlab-ci/data.tgz"
chown -R gitea: /var/lib/gitea /etc/gitea
start_gitea
apt-get -y --allow-downgrades install "${CI_PROJECT_DIR}/gitea_${VERSION}-${PATCHLEVEL}_amd64.deb"
restart_gitea
